#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk
import urllib

#https://github.com/Lynnesbian/mstdn-ebooks/archive/master.zip

# MAIN GUI

root = Tk()
root.title = "mstdn-ebooks Setup Wizard"
frame = ttk.Frame(root)
nb = ttk.Notebook(frame)
frm_button_box = ttk.Frame(frame)
btn_cancel = ttk.Button(frm_button_box, text = "Cancel")
btn_back = ttk.Button(frm_button_box, text = "Back")
btn_next = ttk.Button(frm_button_box, text = "Next")

pages = []
for i in ["Welcome", "Select instance", "Create account", "Paste link", "Confirm follows", "Set info", "Install Python", "Install mstdn-ebooks", "Download toots", "Schedule automatic posting", "Enable replies", "Finished"]:
	#create pages
	pages.append(ttk.Frame(nb))
	nb.add(pages[len(pages) - 1], text = i, state="hidden")

nb.pack(fill = "both", expand = True)
frm_button_box.pack()

btn_cancel.grid(column = 0, row = 0, sticky="W")
btn_back.grid(column = 1, row = 0, sticky="E")
btn_next.grid(column = 2, row = 0, sticky="E")

frame.pack(fill = "both", expand = True)

# PAGES
# Welcome
# Select instance
# Create account
# Paste link
# Confirm follows
# Set info
# Install Python
# Install mstdn-ebooks
# Download toots
# Schedule automatic posting
# Enable replies
# Finished


root.mainloop()
